# sound/Config.in
#

mainmenu_option next_comment
comment 'Advanced Linux Sound Architecture (ALSA)'

dep_tristate 'Advanced Linux Sound Architecture (ALSA)' CONFIG_SND_ALSA $CONFIG_SOUND_ALSA
if [ "$CONFIG_SND_ALSA" != "n" ]; then
  source sound/core/Config.in
  source sound/drivers/Config.in
fi
if [ "$CONFIG_SND_ALSA" != "n" -a "$CONFIG_ISA" = "y" ]; then
  source sound/isa/Config.in
fi
if [ "$CONFIG_SND_ALSA" != "n" -a "$CONFIG_PCI" = "y" ]; then
  source sound/pci/Config.in
fi
if [ "$CONFIG_SND_ALSA" != "n" -a "$CONFIG_PPC" = "y" ]; then
  source sound/ppc/Config.in
fi
if [ "$CONFIG_SND_ALSA" != "n" -a "$CONFIG_ARM" = "y" ]; then
  source sound/arm/Config.in
fi

endmenu
